Page MenuHomePhabricator

Inconsistent availability of "Insert signature" between the visual editor and the 2017 source editor
Closed, ResolvedPublic1 Story Points

Description

Maybe this is just an option that should be enabled for meta:Grants namespace? Reporting, just in case.

I wanted to sign my endorsement at https://meta.wikimedia.org/wiki/Grants:TPS/01tonythomas/FOSSASIA2017#Endorsements without having to leave the visual editor, but couldn't because the option was grayed out. I could sign with the 2017 source editor, though.

EXPECTED
Consistency between both editors. In fact, I (personally) would expect the tool to give the choice to sign, even when the user is perhaps wrong, unless the tool is completely sure that I am not supposed to add my signature on that page.

ACTUALLY
The visual editor doesn't allow to add the signature on a page welcoming them.

Event Timeline

Qgil created this task.Feb 6 2017, 9:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2017, 9:16 AM
Dvorapa added a subscriber: Dvorapa.Feb 6 2017, 9:28 AM
Jdforrester-WMF triaged this task as Low priority.Feb 7 2017, 8:11 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Sounds like NWE's tool isn't respecting the $wgExtraSignedNamespaces or whatever it's called.

(And yes, that namespace is not signed, so it shouldn't be available in either.)

Change 336467 had a related patch set uploaded (by Esanders):
Move wikitext signature command to correct file

https://gerrit.wikimedia.org/r/336467

Change 336467 merged by jenkins-bot:
Move wikitext signature command to correct file

https://gerrit.wikimedia.org/r/336467

Jdforrester-WMF closed this task as Resolved.Feb 7 2017, 9:07 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.
Elitre added a subscriber: Elitre.Feb 20 2017, 5:19 PM

@Jdforrester-WMF I still can't sign talk pages on Meta in 2017WE through the button in the Menu?

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 10 2017, 3:18 PM